Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1075563 - Review Request: nodejs-ansicolors - Functions that surround a string with ansicolor codes so it prints in color
Summary: Review Request: nodejs-ansicolors - Functions that surround a string with ans...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1075562 1098125 (view as bug list)
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-03-12 11:36 UTC by Tomas Hrcka
Modified: 2014-05-15 11:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-08 07:38:39 UTC
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tomas Hrcka 2014-03-12 11:36:18 UTC
Spec URL: http://humaton.fedorapeople.org/nodejs-ansicolors.spec
SRPM URL: http://humaton.fedorapeople.org/nodejs-ansicolors-0.3.2-1.fc20.src.rpm
Description: Functions that surround a string with ansicolor codes so it prints in color
Fedora Account System Username: humaton

Comment 1 Christopher Meng 2014-03-12 11:44:05 UTC
*** Bug 1075562 has been marked as a duplicate of this bug. ***

Comment 2 Mukundan Ragavan 2014-03-12 17:15:04 UTC
Some questions - 

* Unless you plan on maintaing the pakcage for EPEL 5, %defattr(-,root,root,-) is not needed. Same thing goes with BuildRoot and %clean. Will this package be maintained with EPEL also?

* Shouldn't this package have BuildArch: noarch?

Comment 3 Mukundan Ragavan 2014-03-12 18:56:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.

---> LICENSE files states license terms. MIT.

[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

---> EPEL 5 support?

[x]: Sources contain only permissible code or content.
[?]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

---> EPEL 5 support?

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

---> EPEL 5 support?

[?]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

---> EPEL 5 support?

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-ansicolors-0.3.2-1.fc21.x86_64.rpm
          nodejs-ansicolors-0.3.2-1.fc21.src.rpm
nodejs-ansicolors.x86_64: W: spelling-error Summary(en_US) ansicolor -> Corsican
nodejs-ansicolors.x86_64: W: spelling-error %description -l en_US ansicolor -> Corsican
nodejs-ansicolors.x86_64: E: no-binary

---> Shouldn't this package be noarch?

nodejs-ansicolors.x86_64: W: only-non-binary-in-usr-lib
nodejs-ansicolors.src: W: spelling-error Summary(en_US) ansicolor -> Corsican
nodejs-ansicolors.src: W: spelling-error %description -l en_US ansicolor -> Corsican
2 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-ansicolors
nodejs-ansicolors.x86_64: W: spelling-error Summary(en_US) ansicolor -> Corsican
nodejs-ansicolors.x86_64: W: spelling-error %description -l en_US ansicolor -> Corsican
nodejs-ansicolors.x86_64: E: no-binary
nodejs-ansicolors.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-ansicolors (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-ansicolors:
    nodejs-ansicolors
    nodejs-ansicolors(x86-64)
    npm(ansicolors)



Source checksums
----------------
http://registry.npmjs.org/ansicolors/-/ansicolors-0.3.2.tgz :
  CHECKSUM(SHA256) this package     : b8e260ab45c01049f6a58029b723935bcef0cb28e62888e412f217bfd4e228ef
  CHECKSUM(SHA256) upstream package : b8e260ab45c01049f6a58029b723935bcef0cb28e62888e412f217bfd4e228ef


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1075563
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Tomas Hrcka 2014-03-13 07:14:45 UTC
(In reply to Mukundan Ragavan from comment #2)
> Some questions - 
> 
> * Unless you plan on maintaing the pakcage for EPEL 5,
> %defattr(-,root,root,-) is not needed. Same thing goes with BuildRoot and
> %clean. Will this package be maintained with EPEL also?
> 

Yes for epel 6 and 7

Comment 6 Mukundan Ragavan 2014-03-13 15:26:48 UTC
Changes look good to me.

Package APPROVED.

Comment 7 Tomas Hrcka 2014-03-14 12:40:53 UTC
New Package SCM Request
=======================
Package Name: nodejs-ansicolors
Short Description: Functions that surround a string with ansicolor codes so it prints in color
Owners: humaton
Branches: f19 f20 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-03-14 13:02:48 UTC
Git done (by process-git-requests).

Comment 9 Tom Hughes 2014-05-15 11:22:15 UTC
*** Bug 1098125 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.